建立聊天對話
curl --request POST \
--url https://api.aiid.edu.kg/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": false,
"stream_options": {
"include_usage": true
},
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": {
"json_schema": {}
},
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
'{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123
},
"completion_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123
}
},
"system_fingerprint": "<string>"
}OpenAI格式(Chat)
建立聊天對話
根據對話歷史建立模型回應。支援串流與非串流回應。
相容 OpenAI Chat Completions API。
POST
/
v1
/
chat
/
completions
建立聊天對話
curl --request POST \
--url https://api.aiid.edu.kg/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": false,
"stream_options": {
"include_usage": true
},
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": {
"json_schema": {}
},
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
'{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123
},
"completion_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123
}
},
"system_fingerprint": "<string>"
}授權
使用 Bearer Token 認證。
格式: Authorization: Bearer sk-xxxxxx
主體
application/json
模型 ID
範例:
"gpt-4"
對話訊息列表
Hide child attributes
Hide child attributes
訊息角色
可用選項:
system, user, assistant, tool, developer 訊息內容
發送者名稱
工具呼叫 ID(用於 tool 角色訊息)
推理內容
取樣溫度
必填範圍:
0 <= x <= 2核採樣參數
必填範圍:
0 <= x <= 1生成數量
必填範圍:
x >= 1是否串流回應
停止序列
最大生成 Token 數
最大生成 Token 數
必填範圍:
-2 <= x <= 2必填範圍:
-2 <= x <= 2可用選項:
none, auto, required 推理強度 (用於支援推理的模型)
可用選項:
low, medium, high 可用選項:
text, audio 回應
成功建立回應
範例:
"chat.completion"
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
訊息角色
可用選項:
system, user, assistant, tool, developer 訊息內容
發送者名稱
工具呼叫 ID(用於 tool 角色訊息)
推理內容
可用選項:
stop, length, tool_calls, content_filter Hide child attributes
Hide child attributes
提示詞 Token 數
補全 Token 數
總 Token 數
⌘I
